class UpdateLocationRequest {
  List<UpdateCurrentLocation> ?listLocation;

  UpdateLocationRequest({this.listLocation});

  UpdateLocationRequest.fromJson(Map<String, dynamic> json) {
    if (json['list_location'] != null) {
      listLocation = <UpdateCurrentLocation>[];
      (json['list_location'] as List).forEach((v) {
        listLocation!.add(new UpdateCurrentLocation.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.listLocation != null) {
      data['list_location'] = this.listLocation!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class UpdateCurrentLocation {
  double ?lng;
  String? createdTime;
  double ?lat;

  UpdateCurrentLocation({this.lng, this.createdTime, this.lat});

  UpdateCurrentLocation.fromJson(Map<String, dynamic> json) {
    lng = json['lng'];
    createdTime = json['created_time'];
    lat = json['lat'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['lng'] = this.lng;
    data['created_time'] = this.createdTime;
    data['lat'] = this.lat;
    return data;
  }
}
